[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDef.Assign

Assign the contents of one TFieldDef instance to another.

## Declaration

Source position: db.pas line 188

`public procedure TFieldDef.Assign(`
`APersistent: TPersistent`
`); override;`

## Arguments

`APersistent` |  | TFieldDef instance to copy data from.

## Description

Assign assigns all published properties of APersistent to the current instance, if APersistent is an instance of class TFieldDef.

## Errors

If APersistent is not of class TFieldDef, then an exception will be raised.